Get information about the snapshots stored in one or more repositories. A snapshot is a backup of an index or running Elasticsearch cluster. IMPORTANT: cat APIs are only intended for human consumption using the command line or Kibana console. They are not intended for use by applications. For application consumption, use the get snapshot API.
Required authorization
- Cluster privileges:
monitor_snapshot
Query parameters
-
A comma-separated list of columns names to display. It supports simple wildcards.
Values are
id,snapshot,repository,re,repo,status,s,start_epoch,ste,startEpoch,start_time,sti,startTime,end_epoch,ete,endEpoch,end_time,eti,endTime,duration,dur,indices,i,successful_shards,ss,failed_shards,fs,total_shards,ts,reason, orr. -
List of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting
:ascor:descas a suffix to the column name. -
Period to wait for a connection to the master node.
Values are
-1or0.External documentation
curl \
--request GET 'http://api.example.com/_cat/snapshots'
[
{
"id": "snap1",
"repository": "repo1",
"status": "FAILED",
"start_epoch": "1445616705",
"start_time": "18:11:45",
"end_epoch": "1445616978",
"end_time": "18:16:18",
"duration": "4.6m",
"indices": "1",
"successful_shards": "4",
"failed_shards": "1",
"total_shards": "5"
},
{
"id": "snap2",
"repository": "repo1",
"status": "SUCCESS",
"start_epoch": "1445634298",
"start_time": "23:04:58",
"end_epoch": "1445634672",
"end_time": "23:11:12",
"duration": "6.2m",
"indices": "2",
"successful_shards": "10",
"failed_shards": "0",
"total_shards": "10"
}
]